namespace View_by_Distance.Instance.Models;

public record Configuration(Property.Models.Configuration PropertyConfiguration,
                            bool CheckDFaceAndUpWriteDates,
                            bool CheckJsonForDistanceResults,
                            string[] CopyFacesAndSaveFaceLandmarkForOutputResolutions,
                            int CrossDirectoryMaxItemsInDistanceCollection,
                            bool DeletePossibleDuplicates,
                            int DistanceFactor,
                            bool DistanceMoveUnableToMatch,
                            int DistancePixelDistanceTolerance,
                            bool DistanceRenameToMatch,
                            int EyeThreshold,
                            int FaceAreaPermyriad,
                            int FaceConfidencePercent,
                            int FaceDistanceHiddenImageFactor,
                            int FaceDistancePermyriad,
                            string FocusDirectory,
                            string FocusModel,
                            bool ForceFaceLastWriteTimeToCreationTime,
                            bool ForceMetadataLastWriteTimeToCreationTime,
                            bool ForceResizeLastWriteTimeToCreationTime,
                            string GenealogicalDataCommunicationFile,
                            string[] IgnoreExtensions,
                            string[] JLinks,
                            string[] LoadOrCreateThenSaveDistanceResultsForOutputResolutions,
                            string[] LoadOrCreateThenSaveImageFacesResultsForOutputResolutions,
                            bool LoadPhotoPrismLocations,
                            string LocationContainerDebugDirectory,
                            string LocationContainerDirectoryPattern,
                            int LocationContainerDistanceGroupMinimum,
                            int LocationContainerDistanceTake,
                            float? LocationContainerDistanceTolerance,
                            int LocationDigits,
                            int LocationFactor,
                            bool LookForAbandoned,
                            string MappingDefaultName,
                            bool MappingUseDeterministicHashCodeUnknownFaceKeyValuePairsForAddToMapping,
                            bool MappingUseDeterministicHashCodeUnknownFaceKeyValuePairsForSaveMapping,
                            string[] MixedYearRelativePaths,
                            string ModelDirectory,
                            string ModelName,
                            bool MoveToDecade,
                            string OutputExtension,
                            int OutputQuality,
                            string[] OutputResolutions,
                            bool OverrideForFaceImages,
                            bool OverrideForFaceLandmarkImages,
                            bool OverrideForResizeImages,
                            int PersonBirthdayFirstYear,
                            string PersonBirthdayFormat,
                            string PersonCharacters,
                            int PersonCharactersCopyCount,
                            string PersonKeyFormat,
                            string PredictorModelName,
                            bool PropertiesChangedForDistance,
                            bool PropertiesChangedForFaces,
                            bool PropertiesChangedForIndex,
                            bool PropertiesChangedForMetadata,
                            bool PropertiesChangedForResize,
                            int RadomUseBirthdayMinimum,
                            int[] RangeDaysDeltaTolerance,
                            float[] RangeDistanceTolerance,
                            float[] RangeFaceAreaPermyriadTolerance,
                            float[] RangeFaceConfidence,
                            float[] RectangleIntersectMinimums,
                            bool ReMap,
                            bool Reverse,
                            string[] SaveBlurHashForOutputResolutions,
                            string[] SaveFaceDistancesForOutputResolutions,
                            string[] SaveFaceLandmarkForOutputResolutions,
                            string[] SaveFilteredOriginalImagesFromJLinksForOutputResolutions,
                            bool SaveFullYearOfRandomFiles,
                            bool SaveIndividually,
                            string[] SaveMappedForOutputResolutions,
                            string[] SavePropertyShortcutsForOutputResolutions,
                            string[] SaveRandomForOutputResolutions,
                            bool SaveResizedSubfiles,
                            string[] SaveShortcutsForOutputResolutions,
                            bool SaveSortingWithoutPerson,
                            string[] SkipNotSkipDirectories,
                            int? SkipOlderThanDays,
                            int? SkipPersonWithMoreThen,
                            bool SkipSearch,
                            int SortingMaximumPerFaceShouldBeHigh,
                            int SortingMaximumPerKey,
                            int SortingMinimumToUseSigma,
                            bool TestDistanceResults,
                            int UseFilterTries,
                            string[] ValidKeyWordsToIgnoreInRandom,
                            string[] ValidResolutions);