using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Instance.Models;

public record DegreesMinutesSeconds(float Degrees,
                                    float Minutes,
                                    float Seconds)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, DegreesMinutesSecondsSourceGenerationContext.Default.DegreesMinutesSeconds);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(DegreesMinutesSeconds))]
internal partial class DegreesMinutesSecondsSourceGenerationContext : JsonSerializerContext
{
}