namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IOutputResolution
{ // ...

    (int, int) TestStatic_Get(Models.OutputResolution outputResolution) =>
        Get(outputResolution);
    static (int, int) Get(Models.OutputResolution outputResolution) =>
        OutputResolution.Get(outputResolution);

    int TestStatic_GetHeight(Models.OutputResolution outputResolution) =>
        GetHeight(outputResolution);
    static int GetHeight(Models.OutputResolution outputResolution) =>
        OutputResolution.Get(outputResolution).Height;

    int TestStatic_GetWidth(Models.OutputResolution outputResolution) =>
        GetWidth(outputResolution);
    static int GetWidth(Models.OutputResolution outputResolution) =>
        OutputResolution.Get(outputResolution).Width;

}